classification
Title: Remove deprecated tkinter.tix module
Type: Stage: resolved
Components: Tkinter, Windows Versions:
process
Status: closed Resolution: later
Dependencies: Superseder:
Assigned To: Nosy List: jkloth, ned.deily, paul.moore, rhettinger, serhiy.storchaka, steve.dower, taleinat, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2017-09-06 21:33 by ned.deily, last changed 2018-09-06 14:42 by zach.ware. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3393 closed zach.ware, 2017-09-06 21:38
Messages (5)
msg301524 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-09-06 21:33
Tix is an old Tk widget extension set that has long been superseded by the ttk widgets that were added in Tk 8.5, officially released 10 years ago and since superseded by Tk 8.6.  Tix was useful for users of Tk 8.4 but tkinter is no longer built, tested, or supported with 8.4.  Despite that, we have continued to build and ship Tix with the python.org Windows installers.  The last maintenance release of Tix was in 2008.

As of Python 3.6.0 (https://docs.python.org/3.6/library/tkinter.tix.html), we documented tkinter.tix as:

   Deprecated since version 3.6: This Tk extension is unmaintained
   and should not be used in new code. Use tkinter.ttk instead.

For 3.7, I believe it is time to remove both tkinter.tix and the building of Tix in the Windows builds.
msg301545 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-09-06 23:47
+1 for removal.
msg301570 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-07 06:14
According to PEP 4, "In order to facilitate writing code that works in both Python 2 & 3 simultaneously, any module that exists in both Python 3.5 and Python 2.7 will not be removed from the standard library until Python 2.7 is no longer supported as specified by PEP 373." Is there a reason for haste? The Tix library still is included in recent versions of Linux distributives and should be compatible with Tcl 8.6.

Ttk is not direct replacement of Tix. They provide different sets of widgets. May be you meant Tile, the predecessor of ttk?
msg324670 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2018-09-06 08:03
We should decide on this.

I agree with Serhiy that in accordance with PEP 4, as long as Tix still works, we should keep it.
msg324695 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-09-06 14:42
We missed the boat for 3.7 anyway.

With the PEP 4 argument, I won't push any further for ripping Tix out completely before 2020, but if something happens to break building it on Windows before then my fix will be to remove it from the Windows build.
History
Date User Action Args
2018-09-06 14:42:24zach.waresetstatus: open -> closed
versions: - Python 3.7
title: Remove deprecated tkinter.tix module in 3.7 -> Remove deprecated tkinter.tix module
messages: + msg324695

resolution: later
stage: needs patch -> resolved
2018-09-06 08:03:34taleinatsetnosy: + taleinat
messages: + msg324670
2017-09-07 06:14:31serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg301570
2017-09-07 02:20:14jklothsetnosy: + jkloth
2017-09-06 23:47:26rhettingersetnosy: + rhettinger
messages: + msg301545
2017-09-06 21:39:39zach.waresettitle: Remove deprecated tkinter.ttx module in 3.7 -> Remove deprecated tkinter.tix module in 3.7
2017-09-06 21:38:50zach.waresetpull_requests: + pull_request3399
2017-09-06 21:33:20ned.deilycreate